Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jsptools.portal
Class PortalXmlDisassemblerContext

    java.lang.Object
      com.bea.netuix.application.transform.disassembler.XmlDisassemblerContext
          com.bea.jsptools.portal.PortalXmlDisassemblerContext

public class PortalXmlDisassemblerContext
extends XmlDisassemblerContext

Constructor Summary
`PortalXmlDisassemblerContext(DesktopDefinitionId desktopDefinitionId, String webAppName, InputStream xmlIn)`

Method Summary
`DesktopDefinitionId` | `getDesktopDefinitionId()` Implementations of this method must return an appropriate id (as specified) for the portal document.
`Locale` | `getDocumentLocale()` Implementations of this method are required to return the `Locale` for the document being processed.
`String` | `getWebAppName()` This method retrieves the name of the current WebApp module for which the .portlet file is deployed.

Methods inherited from class com.bea.netuix.application.transform.disassembler.XmlDisassemblerContext
`getDocument, getEntityResolver, getErrorHandler, getNetuixNamespace, getXmlStream, inspectDocument, invalidateXmlStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortalXmlDisassemblerContext

    public PortalXmlDisassemblerContext(DesktopDefinitionId desktopDefinitionId,
                                        String webAppName,
                                        InputStream xmlIn)

Method Detail

### getDesktopDefinitionId

    public DesktopDefinitionId getDesktopDefinitionId()
                                               throws XmlDisassemblerException

  Description copied from class: `XmlDisassemblerContext`
  Implementations of this method must return an appropriate id (as specified) for the portal document.

  Specified by:
    `getDesktopDefinitionId` in class `XmlDisassemblerContext`
  Returns:
    A populated, non-null `DesktopDefinitionId` instance capable of uniquely identifying the document
  Throws:
    `XmlDisassemblerException` - Indicates a problem fetching the required id information

### getDocumentLocale

    public Locale getDocumentLocale()
                             throws XmlDisassemblerException

  Description copied from class: `XmlDisassemblerContext`
  Implementations of this method are required to return the `Locale` for the document being processed.

  Specified by:
    `getDocumentLocale` in class `XmlDisassemblerContext`
  Returns:
    A non-null `Locale` appropriate for the document being processed
  Throws:
    `XmlDisassemblerException` - Indicates a problem fetching the required locale information

### getWebAppName

    public String getWebAppName()

  Description copied from class: `XmlDisassemblerContext`
  This method retrieves the name of the current WebApp module for which the .portlet file is deployed.

  The name is the deployed name of the module, and is often the name of the WAR file or directory, although this is not always the case. This name is that name given in config.xml as the Name of the WebAppComponent element (and thus WebAppComponentMBean's Name attribute). Note that this name is not the name of the URL context root.

  Specified by:
    `getWebAppName` in class `XmlDisassemblerContext`
  Returns:
    The non-null deployed name of the webapp module.
  See Also:
    `ApplicationHelper.getWebAppName(javax.servlet.ServletContext)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved